<script setup lang="ts">
import { useAuthStore } from '@/stores/auth';
import { inject, onMounted, type Ref } from 'vue'

const rail = inject<Ref<boolean>>('rail')
const authStore = useAuthStore()

onMounted(() => {
  authStore.getCurrentUser()
})
</script>
<template>
  <v-app-bar prominent class="bg">
    <template v-slot:image>
      <!-- <v-img src="src\assets\favicon.png"></v-img> -->
    </template>

    <template v-slot:prepend>
      <v-app-bar-nav-icon @click.stop="rail = !rail"></v-app-bar-nav-icon>
    </template>

    <v-app-bar-title>
      <v-img width="100" src="src\assets\favicon.png"></v-img
    ></v-app-bar-title>

    <v-spacer></v-spacer>

    <v-list-item>
      <v-icon size="50px">mdi-account-circle</v-icon>
    </v-list-item>
    <v-list-item>
      <v-img
        :src="'http://localhost:3000/images/users/' + authStore.getCurrentUser()"
        width="200"
      ></v-img>
      <div style="padding-right: 3%; padding-left: 5px">
        <p>User: {{ authStore.getCurrentUser()?.fullName }}</p>
        <p>Role: {{ authStore.getCurrentUser()?.roles }}</p>
      </div>
    </v-list-item>

    <v-btn icon>
      <v-icon>mdi-dots-vertical</v-icon>
    </v-btn>
  </v-app-bar>
</template>
<style scoped>
.bg {
  background-color: #cecece;
}
</style>
